Subject: Re: bug#40899: Locales not set up correctly

From: Matthew Kraai <[email-masked]>
Date: Tue, 28 Apr 2020 00:56:32 -0700

Hi simon,

On Mon, Apr 27, 2020 at 02:53:17PM +0200, zimoun wrote:
> On Mon, 27 Apr 2020 at 14:30, Matthew Kraai <[email-masked]> wrote:
> 
> > $ guix package -i nss-certs
> > guile: warning: failed to install locale
> 
> There 3 points:
> 
>  a) "guix install glibc-utf8-locales" as root because of the daemon
> and restart it. (depending on your system init, an extra config should
> be required)

I modified the script to run the following commands as root:

```
guix package -i glibc-utf8-locales
systemctl restart guix-daemon
```

>  b) "guix install glibc-utf8-locales" as regular user

The script was already doing this.

> This should fix the locales issues.
> 
> Note that depending on your locale, glibc-utf8-locles should not
> provide it. (The term utf8 could be misleading). But en_US is provided
> by it.

When I run guix, it still produces the same locale messages:

```
$ guix package -I
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package
and defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
          export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

glibc-utf8-locales      2.29    out     /gnu/store/n79cf8bvy3k96gjk1rf18d36w40lkwlr-glibc-utf8-locales-2.29
```

> > guix package: error: some substitutes for the outputs of derivation `/gnu/store/mxp55201zl6wm2d82xdjnc8qa7qwgr85-nss-certs-3.50.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source
> 
>  c) Try:
>       guix install nss-certs --fallback

The --fallback option works.  Thank you for the suggestion.

-- 
Matthew Kraai